### Method

# EDataCal CalBackend prepare_for_completion

since: 3.10

#### Declaration [src]

    GTask*
    e_cal_backend_prepare_for_completion (
      ECalBackend* backend,
      guint opid
    )

#### Description [src]

Obtains the `GTask` for `opid`.

This is a temporary function to serve `EDataCal`‘s “respond” functions until they can be removed. Nothing else should be calling this function. .

Available since: 3.10

#### Parameters

`opid`

  Type: `guint`

  An operation ID given to `EDataCal`.

#### Return value

Type: `GTask`

A `GTask`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.